# boost::redis::any_adapter::any_adapter

Constructor.

## Synopsis

Declared in `<boost/redis/adapter/any_adapter.hpp>`

    template<class T>
    requires !std::is_same_v<T, any_adapter>
    explicit
    any_adapter(T& resp);

## Description

Creates a type‐erased response adapter from `resp` by calling `boost_redis_adapt`. `T` must be a valid Redis response type. Any type passed to `connection::async_exec` qualifies.

This object stores a reference to `resp`, which must be kept alive while `*this` is being used.

## Parameters

Name | Description
--- | ---
resp | The object to copy construct from

Created with MrDocs